# Class DeleteAccountRequest | EchoHub Documentation
Password re-confirmation for destructive self-service account actions.

# Class DeleteAccountRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

Password re-confirmation for destructive self-service account actions.

    public record DeleteAccountRequest : IEquatable<DeleteAccountRequest>

Inheritance
  object
  DeleteAccountRequest

Implements
  IEquatable<DeleteAccountRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### DeleteAccountRequest(DeleteAccountRequest)

    protected DeleteAccountRequest(DeleteAccountRequest original)

#### Parameters

`original` DeleteAccountRequest

### DeleteAccountRequest(string)

Password re-confirmation for destructive self-service account actions.

    public DeleteAccountRequest(string Password)

#### Parameters

`Password` string

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Password

    public string Password { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string)

    public void Deconstruct(out string Password)

#### Parameters

`Password` string

### Equals(DeleteAccountRequest?)

    public virtual bool Equals(DeleteAccountRequest? other)

#### Parameters

`other` DeleteAccountRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(DeleteAccountRequest?, DeleteAccountRequest?)

    public static bool operator ==(DeleteAccountRequest? left, DeleteAccountRequest? right)

#### Parameters

`left` DeleteAccountRequest
`right` DeleteAccountRequest

#### Returns

bool

### operator !=(DeleteAccountRequest?, DeleteAccountRequest?)

    public static bool operator !=(DeleteAccountRequest? left, DeleteAccountRequest? right)

#### Parameters

`left` DeleteAccountRequest
`right` DeleteAccountRequest

#### Returns

bool